-- Update the table name to reference the most recently completed match year.

INSERT INTO UI_Acct_Employer ([Employer Name], [Employer Street Address], [Employer City], ui_acct, [Last 4 FEIN])
SELECT DISTINCT [Employer Name], [Employer Street Address], [Employer City], ui_acct, [Last 4 FEIN]
FROM Match_2016
WHERE confirmedMatch = 1;

WITH CTE AS(
   SELECT [Employer Name], [Employer Street Address], [Employer City], ui_acct, [Last 4 FEIN],
       RN = ROW_NUMBER()OVER(PARTITION BY ui_acct ORDER BY ui_acct)
   FROM UI_Acct_Employer
)
DELETE FROM CTE WHERE RN > 1